Bug 1544551 - SELinux is preventing openconnect from 'map' accesses on the file /usr/share/pki/ca-trust-source/ca-bundle.trust.p11-kit.
Summary: SELinux is preventing openconnect from 'map' accesses on the file /usr/share/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f60e4b7641b5d86440ac5c1675a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-12 20:59 UTC by Stewart Smith
Modified: 2018-03-20 18:15 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.28.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 18:15:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Stewart Smith 2018-02-12 20:59:42 UTC
Description of problem:
Connect to VPN using openconnect
SELinux is preventing openconnect from 'map' accesses on the file /usr/share/pki/ca-trust-source/ca-bundle.trust.p11-kit.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that openconnect should be allowed map access on the ca-bundle.trust.p11-kit file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'openconnect' --raw | audit2allow -M my-openconnect
# semodule -X 300 -i my-openconnect.pp

Additional Information:
Source Context                staff_u:sysadm_r:sysadm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:cert_t:s0
Target Objects                /usr/share/pki/ca-trust-source/ca-
                              bundle.trust.p11-kit [ file ]
Source                        openconnect
Source Path                   openconnect
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           ca-certificates-2017.2.20-1.0.fc27.noarch
Policy RPM                    selinux-policy-3.13.1-283.24.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.14.16-300.fc27.x86_64 #1 SMP Wed
                              Jan 31 19:24:27 UTC 2018 x86_64 x86_64
Alert Count                   3
First Seen                    2018-02-13 07:57:55 AEDT
Last Seen                     2018-02-13 07:57:55 AEDT
Local ID                      e2d1036b-c7c2-4e6e-9e07-572ff75f292d

Raw Audit Messages
type=AVC msg=audit(1518469075.778:828): avc:  denied  { map } for  pid=20201 comm="openconnect" path="/usr/share/pki/ca-trust-source/ca-bundle.trust.p11-kit" dev="dm-1" ino=34398808 scontext=staff_u:sysadm_r:sysadm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cert_t:s0 tclass=file permissive=0


Hash: openconnect,sysadm_t,cert_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.24.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.14.16-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-03-07 17:09:26 UTC
selinux-policy-3.13.1-283.27.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 2 Fedora Update System 2018-03-08 16:20:42 UTC
selinux-policy-3.13.1-283.27.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 3 Fedora Update System 2018-03-12 18:15:48 UTC
selinux-policy-3.13.1-283.28.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 4 Fedora Update System 2018-03-14 01:33:50 UTC
selinux-policy-3.13.1-283.28.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 5 Fedora Update System 2018-03-20 18:15:11 UTC
selinux-policy-3.13.1-283.28.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.